
#include <mgl.h>

void display (void)
{
  mglColor c;
  int size;

  mglSmoothOn ();
  mglInterpolationOn ();

  size = mglMaxPointSize;
  if (size > 10)
    size = 10;
  mglSetLineSize (size / 2);

  mglRectangleColor [0] = mglRectangleColor [1] = mglCeleste;
  mglRectangleColor [2] = mglRectangleColor [3] = mglWhite;
  mglDrawFilledRectangle (0, 0, 1, 1);

  mglInterpolationOff ();
  mglRectangleColor [0] = mglRed;
  mglRectangleColor [1] = mglGreen;
  mglRectangleColor [2] = mglWhite;
  mglRectangleColor [3] = mglYellow;
  mglDrawRectangle (0.1, 0.1, 0.8, 0.8);

  mglSetLineColors (mglGreen);
  mglDrawLine (0.5, 0.8, 0.5, 0.2);
  mglRotationAngle = 90;
  mglDrawLine (0.5, 0.2, 0.5, 0.8);
  mglRotationAngle = 0;

  c = mglPink;
  c.a = 0.5;
  mglSetTriangleColors (c);
  mglDrawFilledTriangle (0.5, 0.2, 0.2, 0.8, 0.8, 0.8);

  c = mglRed;
  c.a = 0.5;
  mglPointColor = c;
  mglSetPointSize (size);
  mglDrawPoint (0.3, 0.3);
  mglDrawPoint (0.3, 0.7);
  mglDrawPoint (0.7, 0.3);
  mglDrawPoint (0.7, 0.7);
}

void main (void)
{
  mglVirtualWidth = mglVirtualHeight = 1;
  mglOpenWindow ("Demonstrace modulu Draw", 100, 100, 256, 256);
  mglSetDisplayHandler (display);
  mglRun ();
}
